> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause a workflow



## OpenAPI

````yaml put /v4/workflows/{workflowId}/pause
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v4/workflows/{workflowId}/pause:
    put:
      tags:
        - Workflows
      summary: Pause a workflow
      parameters:
        - name: workflowId
          in: path
          required: true
          description: The ID of the workflow to pause
          schema:
            type: string
      responses:
        '200':
          description: Workflow paused successfully
          content:
            text/plain:
              schema:
                type: string
                example: Workflow paused
        '401':
          description: x-api-key missing or not authorized
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````